/** @file
  * 
  * @brief    Source file of application-level implementation of BLE Service modules
  *
  * @details  Include:
  *             BLE service modules initialization and event handlers
  *
  * BLE events should be propagated to the BLE service modules via the @ref fw_ble_services_on_ble_evt()
  *
  */

#include "fw_ble_services.h"

/** ===== Standard library includes ============================================================= */
#include <stddef.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

/** ===== nRF5* SDK includes ==================================================================== */
#include "app_error.h"
#include "ble_nus.h"
#include "nrf.h"

/** ===== Non-SDK and non-standard-library includes ============================================= */



/** @brief Function for initializing services that will be used by the application.
  */
void fw_ble_services_init(void)
{
  
}


/** @brief Function for dispatching BLE events to handlers of services interested in them
  *
  * @param[in] p_ble_evt  S110 SoftDevice event.
  */
void fw_ble_services_on_ble_evt(ble_evt_t * p_ble_evt)
{
  
}

