/**
  * @file
  *
  * @brief    Fun time creating music with PWM
  * 
  */

#include "pwm_music.h"

/** ===== Standard library includes ============================================================= */
#include "app_error.h"

/** ===== nRF5* SDK includes ==================================================================== */
#include "nordic_common.h"

/** ===== Non-SDK and non-standard-library includes ============================================= */

bool pwm_music_ready = false;

APP_PWM_INSTANCE(PWM_MUSIC, 0);
app_pwm_config_t pwm_music_cfg = APP_PWM_DEFAULT_CONFIG_1CH(5000, 29);

void pwm_music_ready_callback(uint32_t pwm_id)
{
  pwm_music_ready = true;
}

void pwm_music_init(void)
{
  ret_code_t err_code;
  pwm_music_cfg.pin_polarity[0] = APP_PWM_POLARITY_ACTIVE_HIGH;
  
  err_code = app_pwm_init(&PWM_MUSIC, &pwm_music_cfg, pwm_music_ready_callback);
  APP_ERROR_CHECK(err_code);
  app_pwm_enable(&PWM_MUSIC);
}

void pwm_music_set_note(pwm_music_note_t note)
{
  if (!pwm_music_ready)
  {
    return;
  }
  while (app_pwm_channel_duty_set(&PWM_MUSIC, 0, 2000) == NRF_ERROR_BUSY);
}
