/**
  * @file
  *
  * @brief    Header file of application-level UART modules
  * 
  * @details  Include UART initialization and UART handler implementation
  * 
  */

#ifndef UART_H
#define UART_H

/** ===== Standard library includes ============================================================= */

/** ===== nRF5* SDK includes ==================================================================== */
#include "app_uart.h"

/** ===== Non-SDK and non-standard-library includes ============================================= */
#include "dev_config.h"


/**@brief  Function for initializing the UART module.
 */
void uart_init(void);

#endif // #ifndef UART_H
